ALTER FUNCTION "dba"."get_kp_txsts"( IN a_text char(4) default 'XXXX')
RETURNS char(30)
BEGIN

  DECLARE ls_text char(30);

  case a_text
	when 'RJCT' then
		set ls_text = 'Tagasi lükatud'
	when 'PDNG' then
		set ls_text = 'Ootab kinnitust'
	when 'PART' then
		set ls_text = 'Vastu võetud'
	when 'ACSP' then
		set ls_text = 'Töötlemisel'
	when 'ACSC' then
		set ls_text = 'Töödeldud'
	else
		set ls_text = ''
  end case;

  if ls_text is null then
    set ls_text=''
  end if;

  RETURN ls_text;
END